/*
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.collection.lists;

import net.ranides.test.ContractTesters;
import net.ranides.test.data.TMaps;
import net.ranides.test.data.TCollection;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 */
public class RTListTest {
	
	private final TCollection<Integer> $var = TMaps.MAP_IS.keys();

    @Test
    public void testSuite() {
        ContractTesters.runner()
			.param("collection!", $var)
			.function(new int[0], array -> new RTList<>($var.list(array).values()))
			.run();
		
    }
	
	@Test
    public void testConstruct() {
        assertNotNull(new RTList<>());
        assertNotNull(new RTList<>(new Integer[]{1,2,3}));
        assertNotNull(new RTList<>(new Integer[]{}));
    }
	
}
